Error
A valid request URL is required to generate request examples{
"jobId": "<string>",
"jobConfig": {
"id": "<string>"
},
"hostname": "<string>",
"result": {
"jobConfigId": "<string>",
"jobRunId": "<string>",
"docsWritten": 123,
"exception": {
"job": {
"id": "<string>",
"canonicalName": "<string>",
"uri": "<string>"
},
"jobRunId": "<string>",
"httpStatusCode": 123,
"error": "<string>",
"message": "<string>",
"details": "<string>",
"cause": {
"cause": "<unknown>",
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"message": "<string>",
"localizedMessage": "<string>",
"suppressed": "<array>"
},
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"localizedMessage": "<string>",
"suppressed": [
{
"cause": "<unknown>",
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"message": "<string>",
"localizedMessage": "<string>",
"suppressed": "<array>"
}
],
"httpStatusMessage": "<string>",
"class": "<string>",
"requestId": "<string>"
}
},
"startTime": "<string>",
"endTime": "<string>",
"duration": 123
}Execute an arbitrary Scala script
Results of computation can be returned to the caller as a part of the job status, by assigning the result in the script to a variable called result. The result is flat strings and not JSON. You can use sqlContext.read.json(…) to read this file as a DataFrame.
POST
/
spark
/
script
Error
A valid request URL is required to generate request examples{
"jobId": "<string>",
"jobConfig": {
"id": "<string>"
},
"hostname": "<string>",
"result": {
"jobConfigId": "<string>",
"jobRunId": "<string>",
"docsWritten": 123,
"exception": {
"job": {
"id": "<string>",
"canonicalName": "<string>",
"uri": "<string>"
},
"jobRunId": "<string>",
"httpStatusCode": 123,
"error": "<string>",
"message": "<string>",
"details": "<string>",
"cause": {
"cause": "<unknown>",
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"message": "<string>",
"localizedMessage": "<string>",
"suppressed": "<array>"
},
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"localizedMessage": "<string>",
"suppressed": [
{
"cause": "<unknown>",
"stackTrace": [
{
"methodName": "<string>",
"fileName": "<string>",
"lineNumber": 123,
"className": "<string>",
"nativeMethod": false
}
],
"message": "<string>",
"localizedMessage": "<string>",
"suppressed": "<array>"
}
],
"httpStatusMessage": "<string>",
"class": "<string>",
"requestId": "<string>"
}
},
"startTime": "<string>",
"endTime": "<string>",
"duration": 123
}Headers
The media type of the entity body
Query Parameters
When true, run the job synchronously; the request will not return until the job is complete
Page size for reading out of Solr
Body
*/*
Scala script
Response
200 - application/json
successful operation
Available options:
unknown, idle, starting, running, finishing, cancelling, finished, cancelled, error, skipped Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I